summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2024-10-18 14:52:04 +0200
committerFabian Groffen <grobian@gentoo.org>2024-10-18 14:52:04 +0200
commit33c6d9a6c120da352cf7fbccca1063483fa66878 (patch)
tree7be6d6500900821bcc517dbd3312df286909b753
parentdev-libs/libbsd: fix Manifest (diff)
downloadprefix-33c6d9a6c120da352cf7fbccca1063483fa66878.tar.gz
prefix-33c6d9a6c120da352cf7fbccca1063483fa66878.tar.bz2
prefix-33c6d9a6c120da352cf7fbccca1063483fa66878.zip
scripts/bootstrap-prefix: use newer cmake too bootstrap
Signed-off-by: Alexey Sokolov <alexey+gentoo@asokolov.org> Signed-off-by: Fabian Groffen <grobian@gentoo.org>
-rwxr-xr-xscripts/bootstrap-prefix.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/scripts/bootstrap-prefix.sh b/scripts/bootstrap-prefix.sh
index ac38ff7b9f..fdbe73e17e 100755
--- a/scripts/bootstrap-prefix.sh
+++ b/scripts/bootstrap-prefix.sh
@@ -1176,18 +1176,19 @@ bootstrap_cmake_core() {
# we need sysroot crap to build cmake itself, but it makes trouble
# later on, so kill it in the installed version
- ver=${A%-*} ; ver=${ver%.*}
sed -i -e '/cmake_gnu_set_sysroot_flag/d' \
- "${ROOT}/tmp/usr/share/${ver}/Modules/Platform"/Apple-GNU-*.cmake || die
+ "${ROOT}"/tmp/usr/share/cmake*/Modules/Platform/Apple-GNU-*.cmake || die
# disable isysroot usage with clang as well
sed -i -e '/_SYSROOT_FLAG/d' \
- "${ROOT}/tmp/usr/share/${ver}/Modules/Platform"/Apple-Clang.cmake || die
+ "${ROOT}"/tmp/usr/share/cmake*/Modules/Platform/Apple-Clang.cmake || die
einfo "${A%.tar.*} bootstrapped"
}
bootstrap_cmake() {
- bootstrap_cmake_core 3.16.5 || bootstrap_cmake_core 3.0.2
+ bootstrap_cmake_core 3.20.6 || \
+ bootstrap_cmake_core 3.16.5 || \
+ bootstrap_cmake_core 3.0.2
}
bootstrap_zlib_core() {